{ config, pkgs, lib, ... }:
{

  # The home.packages option allows you to install 
  # Nix packages into your environment.
  home.packages = with pkgs; [
    # List of programs
    thunderbird
    signal-desktop
    #vscodium
    vlc
    keepassxc
    logseq
    okular
    #firefox
    borgbackup
    
    # utility
    pulsemixer
    brightnessctl
    gammastep # color temperature
    swaybg
    xwayland
    grim # screenshot functionality
    slurp # screenshot functionality
    wl-clipboard # copy/paste from stdin / stdout
    mako # notification system developed by swaywm maintainer
    #caribou # steam deck touch compability in non-steam games
    #evtest # for input key testing

    # install Nerd Fonts with a limited number of fonts
    (pkgs.nerdfonts.override { fonts = [ "FantasqueSansMono" ]; })

  ];

  programs.direnv.enable = true;

}
